Skip to main content
GET
/
api
/
v1
/
profiles
List profiles
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/profiles \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "profile",
      "attributes": {
        "created_at": "<string>",
        "updated_at": "<string>",
        "display_name": "<string>",
        "legal_first_name": "<string>",
        "legal_middle_name": "<string>",
        "legal_last_name": "<string>",
        "legal_maiden_name": "<string>",
        "suffix": "<string>",
        "birthdate": "2023-12-25",
        "deceased_on": "2023-12-25",
        "racial_identity": "<string>",
        "primary_employee_id": "<string>",
        "employee_ids": {},
        "emails": [
          "primary@example.com",
          "secondary@example.com"
        ],
        "avatar_url": "<string>",
        "avatar_checksum_md5": "<string>",
        "preferred_avatar_url": "<string>",
        "preferred_avatar_checksum_md5": "<string>",
        "cv_upload_url": "<string>",
        "cv_upload_checksum_md5": "<string>",
        "gender_identity": "<string>",
        "custom_fields": {}
      },
      "relationships": {
        "current_department": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "department",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "current_primary_appointment": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "primary_appointment",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "primary_appointments": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": [
            {
              "type": "primary_appointment",
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            }
          ]
        },
        "additional_appointments": {
          "links": {
            "related": "<string>"
          },
          "meta": {}
        },
        "addresses": {
          "links": {
            "related": "<string>"
          },
          "meta": {}
        },
        "user": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "user",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      }
    }
  ],
  "meta": {
    "page": {
      "size": 123
    },
    "total": 123
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: current_department, current_primary_appointment, primary_appointments, additional_appointments, addresses, user

sort
string

Sort order. Prefix with - for descending. Allowed: created_at, updated_at, display_name, legal_first_name, legal_last_name

filter[key]
string

Filter results. Available filters: legal_first_name, employee_id, employee_ids (filter profiles by employee id for a given configuration, example filter[employee_ids][UID]=12345), employee_ids.in (filter profiles by employee id in a comma-separated list for a given configuration, example filter[employee_ids.in][UID]=12345,67890), email, display_name, display_name.neq, display_name.cont (case-insensitive substring match), display_name.in (comma-separated list), display_name.nin (comma-separated list), legal_maiden_name, legal_maiden_name.neq, legal_maiden_name.cont (case-insensitive substring match), legal_maiden_name.in (comma-separated list), legal_maiden_name.nin (comma-separated list), suffix, suffix.neq, suffix.cont (case-insensitive substring match), suffix.in (comma-separated list), suffix.nin (comma-separated list), birthdate, birthdate.neq, birthdate.lt, birthdate.lte, birthdate.gt, birthdate.gte, deceased_on, deceased_on.neq, deceased_on.lt, deceased_on.lte, deceased_on.gt, deceased_on.gte, racial_identity, racial_identity.neq, racial_identity.cont (case-insensitive substring match), racial_identity.in (comma-separated list), racial_identity.nin (comma-separated list), current_department, current_department.exists, current_primary_appointment, current_primary_appointment.exists, primary_appointments, additional_appointments, addresses, user.

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

profiles found

data
object[]
required
meta
object